
#import "download.h"


@implementation download 

- (void)startDownloadingURL
{
	NSURLRequest *theRequest = [NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.apple.com/index.html"]
                                             cachePolicy:NSURLRequestUseProtocolCachePolicy
										 timeoutInterval:60.0];
	
    // Create the download with the request and start loading the data.
	NSURLDownload  *theDownload = [[NSURLDownload alloc] initWithRequest:theRequest delegate:self];
	 
	if (theDownload) {
        // Set the destination file.
        [theDownload setDestination:@"/saleh" allowOverwrite:YES];
    } else {
        // inform the user that the download failed.
		NSLog(@"download has fialed!");
    }
    
}

- (void)downloadDidFinish:(NSURLDownload *)download
{
    NSLog(@"The download %@ has finished.", download);
	
    // Release the download connection.
    
}


- (void)downloadDidStart:(NSURLDownload *)download
{
    NSLog(@"The download %@ has started.", download);
	
    // Release the download connection.
    
}

@end
